Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class NativeVerifier

    java.lang.Object
      |
      +--org.apache.bcel.verifier.NativeVerifier

public abstract class NativeVerifier
extends java.lang.Object

The NativeVerifier class implements a main(String[] args) method that's roughly compatible to the one in the Verifier class, but that uses the JVM's internal verifier for its class file verification. This can be used for comparison runs between the JVM-internal verifier and JustIce.

Version:
  $Id: NativeVerifier.java,v 1.1.1.1 2001/10/29 20:00:31 jvanzyl Exp $
Author:
  Enver Haase

Method Summary
`static void` | `main(java.lang.String[] args)` Works only on the first argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Works only on the first argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.